<?php
/**
 * Plugin Name: Lana Downloads Manager - Check Local File Addon
 * Plugin URI: https://lana.codes/product/lana-downloads-manager/
 * Description: Check local file in Lana Downloads Manager.
 * Version: 1.0.0
 * Author: Lana Codes
 * Author URI: http://lana.codes/
 */

defined( 'ABSPATH' ) or die();
define( 'LANA_DOWNLOADS_MANAGER_CHECK_LOCAL_FILE_ADDON_VERSION', '1.0.0' );
define( 'LANA_DOWNLOADS_MANAGER_CHECK_LOCAL_FILE_ADDON_DIR_URL', plugin_dir_url( __FILE__ ) );
define( 'LANA_DOWNLOADS_MANAGER_CHECK_LOCAL_FILE_ADDON_DIR_PATH', plugin_dir_path( __FILE__ ) );

/**
 * Lana Downloads Manager
 * check local file exists
 *
 * @param $download_id
 */
function lana_downloads_manager_check_local_file_addon_before_file_download( $download_id ) {

	/** get file url */
	$file_url = get_post_meta( $download_id, 'lana_download_file_url', true );

	/** check file url */
	if ( empty( $file_url ) ) {
		return;
	}

	list( $file_path, $remote_file, $local_file ) = lana_downloads_manager_parse_file_path( $file_url );

	/**
	 * Local file
	 */
	if ( $local_file ) {

		/** file not exists */
		if ( ! file_exists( $file_path ) ) {
			status_header( 404 );
			nocache_headers();
			exit;
		}
	}
}

add_action( 'lana_downloads_manager_before_file_download', 'lana_downloads_manager_check_local_file_addon_before_file_download', 0 );
